Upgrade to release 7.10 fails

Bug #237791 reported by galvatron984 on 2008-06-06
2
Affects Status Importance Assigned to Milestone
ndiswrapper (Ubuntu)
High
Rolf Leggewie

Bug Description

Binary package hint: update-manager

I tried to upgrade my server edition 7.04 ubuntu release to 7.10 and got the following error (also attached full logs).

NOTE: I used the following commands to run the upgrade.

--------------------------------
sudo apt-get upgrade
sudo apt-get dist-upgrade
sudo aptitude install update-manager-core
sudo do-release-upgrade
--------------------------------

update-initramfs: Generating /boot/initrd.img-2.6.22-14-generic
/var/lib/python-support/python2.5/gtk-2.0/gtk/__init__.py:72: GtkWarning: could not open display
  warnings.warn(str(e), _gtk.Warning)
/usr/share/apport/apport-gtk:40: Warning: invalid (NULL) pointer instance
  'apport-gtk.glade'))
/usr/share/apport/apport-gtk:40: Warning: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed
  'apport-gtk.glade'))
/usr/share/apport/apport-gtk:40: GtkWarning: gtk_settings_get_for_screen: assertion `GDK_IS_SCREEN (screen)' failed
  'apport-gtk.glade'))
/usr/share/apport/apport-gtk:40: Warning: g_object_get: assertion `G_IS_OBJECT (object)' failed
  'apport-gtk.glade'))
/usr/share/apport/apport-gtk:48: GtkWarning: gtk_settings_get_for_screen: assertion `GDK_IS_SCREEN (screen)' failed
  self.w('treeview_reportdetails').append_column(column)
/usr/share/apport/apport-gtk:48: Warning: g_object_get: assertion `G_IS_OBJECT (object)' failed
  self.w('treeview_reportdetails').append_column(column)
/usr/share/apport/apport-gtk:84: GtkWarning: Screen for GtkWindow not set; you must always set
a screen for a GtkWindow before using the window
  response = d.run()
/usr/share/apport/apport-gtk:84: GtkWarning: gdk_pango_context_get_for_screen: assertion `GDK_IS_SCREEN (screen)' failed
  response = d.run()
/usr/share/apport/apport-gtk:84: PangoWarning: pango_context_set_font_description: assertion `context != NULL' failed
  response = d.run()
/usr/share/apport/apport-gtk:84: PangoWarning: pango_context_set_base_dir: assertion `context != NULL' failed
  response = d.run()
/usr/share/apport/apport-gtk:84: PangoWarning: pango_context_set_language: assertion `context != NULL' failed
  response = d.run()
/usr/share/apport/apport-gtk:84: PangoWarning: pango_layout_new: assertion `context != NULL' failed
  response = d.run()
/usr/share/apport/apport-gtk:84: PangoWarning: pango_layout_set_text: assertion `layout != NULL' failed
  response = d.run()
/usr/share/apport/apport-gtk:84: PangoWarning: pango_layout_set_alignment: assertion `layout != NULL' failed
  response = d.run()
/usr/share/apport/apport-gtk:84: PangoWarning: pango_layout_set_ellipsize: assertion `PANGO_IS_LAYOUT (layout)' failed
  response = d.run()
/usr/share/apport/apport-gtk:84: PangoWarning: pango_layout_set_single_paragraph_mode: assertion `PANGO_IS_LAYOUT (layout)' failed
  response = d.run()
/usr/share/apport/apport-gtk:84: PangoWarning: pango_layout_set_width: assertion `layout != NULL' failed
  response = d.run()
/usr/share/apport/apport-gtk:84: PangoWarning: pango_layout_get_extents: assertion `layout != NULL' failed
  response = d.run()
/usr/share/apport/apport-gtk:84: GtkWarning: gtk_icon_theme_get_for_screen: assertion `GDK_IS_SCREEN (screen)' failed
  response = d.run()
/usr/share/apport/apport-gtk:84: GtkWarning: gtk_settings_get_for_screen: assertion `GDK_IS_SCREEN (screen)' failed
  response = d.run()
/usr/share/apport/apport-gtk:84: GtkWarning: gtk_icon_size_lookup_for_settings: assertion `GTK_IS_SETTINGS (settings)' failed
  response = d.run()
/usr/share/apport/apport-gtk:84: GtkWarning: Invalid icon size 6

  response = d.run()
/usr/share/apport/apport-gtk:84: GtkWarning: gtk_icon_theme_load_icon: assertion `GTK_IS_ICON_THEME (icon_theme)' failed
  response = d.run()
/usr/share/apport/apport-gtk:84: Warning: g_error_free: assertion `error != NULL' failed
  response = d.run()

Could not install the upgrades
The upgrade aborts now. Your system could be in an unusable state. A recovery will run now (dpkg --configure -a).

Please report this bug against the 'update-manager' package and include the files in /var/log/dist-upgrade/ in the bugreport.
installArchives() failed

galvatron984 (ben-talberg) wrote :
Nick Ellery (nick.ellery) wrote :

Thanks for your bug report. The necessary information has been attached, so I am confirming this report.

Changed in update-manager:
status: New → Confirmed
Michael Vogt (mvo) wrote :

Here is what causes the error:

2008-06-05 19:32:29,649 ERROR got an error from dpkg for pkg: '/var/cache/apt/archives/nspluginwrapper_0.9.91.5-1ubuntu1_amd64.deb': 'trying to overwrite `/usr/lib/nspluginwrapper/i386/linux/npviewer.bin', which is also in package nspluginwrapper-i386

I reassign.

Changed in update-manager:
importance: Undecided → High
Changed in ndiswrapper:
assignee: nobody → fantio
galvatron984 (ben-talberg) wrote :

Anything I should do at this point to complete the upgrade? Just trying to understand what the status of this is and if there are any actions I should take. Thanks.

galvatron984 (ben-talberg) wrote :

Any updates/suggestions? What's the process for these requests typically? I'm just trying to understand if I'm just going to have to uninstall and reinstall to get upgraded or if I can expect a resolution soon.

Rolf Leggewie (r0lf) wrote :

upgrades from feisty to gutsy are no longer supported. Was this still an issue upgrading to hardy?

Changed in ndiswrapper (Ubuntu):
assignee: Wishlist (fantio) → Rolf Leggewie (r0lf)
Rolf Leggewie (r0lf) wrote :

$ apt-file search npviewer.bin
nspluginwrapper: /usr/lib/nspluginwrapper/i386/linux/npviewer.bin

This is the only occurence returned, so this problem is fixed in lucid.

Changed in ndiswrapper (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments